//	Zinc Application Framework - D_APP.CPP
//	COPYRIGHT (C) 1990-1999.  All Rights Reserved.
//	Zinc Software Incorporated.  Pleasant Grove, Utah  USA

#include <z_app.hpp>
#include <z_error.hpp>	// For Beep().

// ----- main ---------------------------------------------------------------

int main(int argc, char **argv)
{
	// Call the application program.
	ZafApplication application(argc, argv);
	if (application.Error() == ZAF_ERROR_CONSTRUCTOR)
	{
		// The ZafApplication object was not fully constructed.
		ZafErrorStub::Beep();
		return (1);
	}
	else
		return (application.Main());
}

// Some linkers don't look for main in the .LIBs.  This function can be
// called to force such linkers to link this module with an application
// so that main will be available.
void ZafApplication::LinkMain(void)
{
}
